<?php
//---------------------------------------------------------------------------------------------------
// Proyecto: Icasus (https://forja.rediris.es/projects/icasus/)
// Archivo: entidad_crear.php
// Tipo: controlador
// Desarrolladores: Juanan Ruiz (juanan@us.es), Jesús Martín (jjmc@us.es)
//---------------------------------------------------------------------------------------------------
// Descripcion: Creación de nuevas entidades
//---------------------------------------------------------------------------------------------------

global $smarty;
global $basedatos;
global $plantilla;

// Si vienen todos los datos necesarios del formulario grabamos
if (isset($_POST['nombre']))
{
	$nombre = sanitize($_POST['nombre'],2);
	$web = isset($_POST['web'])?sanitize($_POST['web'],2):'';
	$entidad = new entidad($basedatos);
	if ($id_entidad = $entidad->crear($nombre,$web))
	{
		$smarty->assign('entidad' , $entidad->obtener_datos($id_entidad));
		$smarty->assign('aviso' , 'La entidad se ha creado correctamente con los datos que 
			aparecen a continuación');
		$smarty->assign('_nombre_pagina',$entidad->datos['nombre']);
		$plantilla = "entidad_datos.tpl";
	}
	else
	{
		$smarty->assign('error', $entidad->error); 
		$smarty->assign('_nombre_pagina','Error');
		$plantilla = 'error.tpl';
	}
}
// Si no vienen datos mostramos el formulario
else
{
	$plantilla = "entidad_crear.tpl";
	$smarty->assign('_nombre_pagina','Entidades');
}
?>
