<?php
//---------------------------------------------------------------------------------------------------
// Proyecto: Icasus (https://forja.rediris.es/projects/icasus/)
// Archivo: indicador_crear.php
// Tipo: controlador
// Desarrolladores: Juanan Ruiz (juanan@us.es), Jesús Martín (jjmc@us.es)
//---------------------------------------------------------------------------------------------------
// Descripcion: Creación de nuevos indicadores
//---------------------------------------------------------------------------------------------------

require_once('function/sanitize.php');
global $smarty;
global $basedatos;
global $operario;
global $page;
global $plantilla;

$smarty->assign('_javascript' , array('indicador_validar'));
$id_entidad = sanitize($_REQUEST['id_entidad'],16);

// Si no vienen todos los datos necesarios mostramos el formulario
if (empty($_POST["codigo"]) || empty($_POST["nombre"]) || empty($_POST["descripcion"]) || empty($_POST["formulacion"]) 
	|| empty($_POST["fuente"]) || empty($_POST["periodicidad"])|| empty($_POST["umbral"])|| empty($_POST["objetivo"]) || empty($_POST["id_proceso"]))
{
		$smarty->assign('aviso', 'Se ha creado un nuevo indicador con los siguientes datos');
	$entidad = new entidad($basedatos);
	$smarty->assign('usuarios',$entidad->listar_usuarios($id_entidad));
	$smarty->assign('procesos',$entidad->listar_procesos($id_entidad));
	$indicador = new indicador($basedatos);
	$smarty->assign('dimensiones',$indicador->listar_dimensiones());
	$smarty->assign('entidad', $entidad->obtener_datos($id_entidad));
	$smarty->assign('_nombre_pagina' , $entidad->datos['nombre']);
	$plantilla = 'indicador_crear.tpl';
}
else
{
	// Si venían los datos necesarios los desinfectamos y grabamos el indicador
	$codigo = sanitize($_POST["codigo"],2);
	$nombre = sanitize($_POST["nombre"],2);
	$umbral = sanitize($_POST["umbral"],2);
	$objetivo = sanitize($_POST["objetivo"],2);
	$descripcion = sanitize($_POST["descripcion"],2);
	$formulacion = sanitize($_POST["formulacion"],2);
	$fuente = sanitize($_POST["fuente"],2);
	$periodicidad = sanitize($_POST["periodicidad"],2);
	$id_responsable = sanitize($_POST["id_responsable"],16);
	$id_dimension = sanitize($_POST["id_dimension"],16);
	$id_proceso = sanitize($_POST["id_proceso"],16);
	$indicador = new indicador($basedatos);
	if ($id_indicador = $indicador->crear($id_entidad,$id_proceso,$codigo,$nombre,$umbral,$objetivo,$descripcion,$id_dimension,$formulacion,
		$fuente,$periodicidad,$id_responsable))
	{
		$smarty->assign('indicador',$indicador->obtener_datos($id_indicador));
		$smarty->assign('aviso', 'Se ha creado un nuevo indicador con los siguientes datos');
		$entidad = new entidad($basedatos);
		$entidad->obtener_datos($id_entidad);
		$smarty->assign('_nombre_pagina' , $entidad->datos['nombre']);
		$plantilla = 'indicador_datos.tpl';
	}
	else
	{
		$smarty->assign('error',$indicador->error);
		$smarty->assign('nombre_pagina' , 'Error');
		$plantilla = 'error.tpl';
	}
}
?>
