<?php
//---------------------------------------------------------------------------------------------------
// Proyecto: Icasus (http://wiki.us.es/icasus/)
// Archivo: valor_borrar.php
// Desarrolladores: Juanan Ruiz (juanan@us.es), Jesús Martín (jjmc@us.es) 
//---------------------------------------------------------------------------------------------------
// Descripcion: Borra un valor de un indicador
//---------------------------------------------------------------------------------------------------
require_once('function/sanitize.php');
global $smarty;
global $basedatos;
global $plantilla;

$smarty->assign('_javascript' , array('confirmar_borrar'));

if (isset($_REQUEST['id_indicador']) && isset($_REQUEST['id_valor']) && isset($_REQUEST['id_entidad']) )
{
	$id_entidad = sanitize($_REQUEST['id_entidad'],16);
	$id_indicador = sanitize($_REQUEST['id_indicador'],16);
	$id_valor = sanitize($_REQUEST['id_valor'],16);
	$valor = new valor($basedatos);
	$indicador = new indicador($basedatos);
	$smarty->assign('indicador' , $indicador->obtener_datos($id_indicador));
	$smarty->assign('valores' , $indicador->listar_valores($id_indicador));
	$entidad = new entidad($basedatos);
	$smarty->assign('entidad' , $entidad->obtener_datos($id_entidad));
	$smarty->assign('_nombre_pagina' , $indicador->datos['entidad']); 
	$plantilla = 'indicador_datos.tpl';
	if ($valor->borrar($id_valor))
	{
		$smarty->assign('valores' , $indicador->listar_valores($id_indicador));
		$smarty->assign('aviso' , 'Se ha borrado un valor.');
	}
	else
	{
		$smarty->assign('error', $valor->error); 
	}
} 
else // falta id_indicador o id_entidad
{
	$smarty->assign('error', 'Faltan parámetros para realizar esta acción.'); 
	$smarty->assign('_nombre_pagina','Error');
	$plantilla = 'error.tpl';
}
?>
